cf80065
diff -up plasma-workspace-5.12.5/startkde/startkde.cmake.startkde plasma-workspace-5.12.5/startkde/startkde.cmake
cf80065
--- plasma-workspace-5.12.5/startkde/startkde.cmake.startkde    2018-05-01 08:03:40.000000000 -0500
cf80065
+++ plasma-workspace-5.12.5/startkde/startkde.cmake     2018-05-06 21:12:49.592504191 -0500
cf80065
@@ -279,22 +237,21 @@ if test $? -ne 0; then
cf80065
   # Startup error
cf80065
   echo 'startkde: Could not sync environment to dbus.'  1>&2
cf80065
   test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
cf80065
-  xmessage -geometry 500x100 "Could not sync environment to dbus."
cf80065
+  xmessage "Could not sync environment to dbus."
cf80065
   exit 1
cf80065
 fi
cf80065
 
cf80065
-# We set LD_BIND_NOW to increase the efficiency of kdeinit.
cf80065
-# kdeinit unsets this variable before loading applications.
cf80065
-LD_BIND_NOW=true @CMAKE_INSTALL_FULL_LIBEXECDIR_KF5@/start_kdeinit_wrapper --kded +kcminit_startup
cf80065
+@CMAKE_INSTALL_FULL_LIBEXECDIR_KF5@/start_kdeinit_wrapper --kded +kcminit_startup
cf80065
 if test $? -ne 0; then
cf80065
   # Startup error
cf80065
   echo 'startkde: Could not start kdeinit5. Check your installation.'  1>&2
cf80065
   test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
cf80065
-  xmessage -geometry 500x100 "Could not start kdeinit5. Check your installation."
cf80065
+  xmessage "Could not start kdeinit5. Check your installation."
cf80065
   exit 1
cf80065
 fi
cf80065
 
cf80065
-qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
cf80065
+qdbus=qdbus-qt5
cf80065
+$qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
cf80065
 
cf80065
 # finally, give the session control to the session manager
cf80065
 # see kdebase/ksmserver for the description of the rest of the startup sequence
cf80065
@@ -327,13 +284,13 @@ if test x"$wait_drkonqi"x = x"true"x ; t
cf80065
     # wait for remaining drkonqi instances with timeout (in seconds)
cf80065
     wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Timeout --default 900`
cf80065
     wait_drkonqi_counter=0
cf80065
-    while qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
cf80065
+    while $qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
cf80065
         sleep 5
cf80065
         wait_drkonqi_counter=$((wait_drkonqi_counter+5))
cf80065
         if test "$wait_drkonqi_counter" -ge "$wait_drkonqi_timeout" ; then
cf80065
             # ask remaining drkonqis to die in a graceful way
cf80065
-            qdbus | grep 'org.kde.drkonqi-' | while read address ; do
cf80065
-                qdbus "$address" "/MainApplication" "quit"
cf80065
+            $qdbus | grep 'org.kde.drkonqi-' | while read address ; do
cf80065
+                $qdbus "$address" "/MainApplication" "quit"
cf80065
             done
cf80065
             break
cf80065
         fi
dae05ff
diff -up plasma-workspace-5.12.5/startkde/startplasma.cmake.startkde plasma-workspace-5.12.5/startkde/startplasma.cmake
cf80065
--- plasma-workspace-5.12.5/startkde/startplasma.cmake.startkde 2018-05-01 08:03:40.000000000 -0500
cf80065
+++ plasma-workspace-5.12.5/startkde/startplasma.cmake  2018-05-06 21:11:54.749023404 -0500
34dadcb
@@ -140,7 +140,8 @@ if test $? -ne 0; then
ab82197
   exit 1
ab82197
 fi
ab82197
 
28c2701
-qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
ab82197
+qdbus=qdbus-qt5
28c2701
+$qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
ab82197
 
ab82197
 # finally, give the session control to the session manager
ab82197
 # see kdebase/ksmserver for the description of the rest of the startup sequence
dae05ff
@@ -169,13 +170,13 @@ if test x"$wait_drkonqi"x = x"true"x ; t
ab82197
     # wait for remaining drkonqi instances with timeout (in seconds)
ab82197
     wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Timeout --default 900`
ab82197
     wait_drkonqi_counter=0
ab82197
-    while qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
ab82197
+    while $qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
ab82197
         sleep 5
ab82197
         wait_drkonqi_counter=$((wait_drkonqi_counter+5))
ab82197
         if test "$wait_drkonqi_counter" -ge "$wait_drkonqi_timeout" ; then
ab82197
             # ask remaining drkonqis to die in a graceful way
ab82197
-            qdbus | grep 'org.kde.drkonqi-' | while read address ; do
ab82197
-                qdbus "$address" "/MainApplication" "quit"
ab82197
+            $qdbus | grep 'org.kde.drkonqi-' | while read address ; do
ab82197
+                $qdbus "$address" "/MainApplication" "quit"
ab82197
             done
ab82197
             break
ab82197
         fi
dae05ff
diff -up plasma-workspace-5.12.5/startkde/startplasmacompositor.cmake.startkde plasma-workspace-5.12.5/startkde/startplasmacompositor.cmake
cf80065
--- plasma-workspace-5.12.5/startkde/startplasmacompositor.cmake.startkde       2018-05-01 08:03:40.000000000 -0500
cf80065
+++ plasma-workspace-5.12.5/startkde/startplasmacompositor.cmake        2018-05-06 21:11:54.749023404 -0500
34dadcb
@@ -3,6 +3,8 @@
34dadcb
 #  DEFAULT Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
34dadcb
 #
cf80065
34dadcb
+qdbus=qdbus-qt5
34dadcb
+
ab82197
 # We need to create config folder so we can write startupconfigkeys
34dadcb
 if [  ${XDG_CONFIG_HOME} ]; then
34dadcb
   configDir=$XDG_CONFIG_HOME;
34dadcb
@@ -120,12 +122,12 @@ fi
cf80065
34dadcb
 # Get a property value from org.freedesktop.locale1
34dadcb
 queryLocale1() {
34dadcb
-    qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
34dadcb
+    $qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
34dadcb
 }
cf80065
34dadcb
 # Query whether org.freedesktop.locale1 is available. If it is, try to
34dadcb
 # set XKB_DEFAULT_{MODEL,LAYOUT,VARIANT,OPTIONS} accordingly.
34dadcb
-if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
34dadcb
+if $qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
34dadcb
     # Do not overwrite existing values. There is no point in setting only some
34dadcb
     # of them as then they would not match anymore.
34dadcb
     if [ -z "${XKB_DEFAULT_MODEL}" -a -z "${XKB_DEFAULT_LAYOUT}" -a \
34dadcb
@@ -175,7 +177,7 @@ fi
34dadcb
 export XDG_DATA_DIRS
cf80065
34dadcb
 # Make sure that D-Bus is running
34dadcb
-if qdbus >/dev/null 2>/dev/null; then
34dadcb
+if $qdbus >/dev/null 2>/dev/null; then
34dadcb
     : # ok
34dadcb
 else
34dadcb
     echo 'startplasmacompositor: Could not start D-Bus. Can you call qdbus?'  1>&2